REST API :: faces.status

Reports training set status for the specified UIDs.

This method only reports the status of the current training-set status, and does not change it. To improve, or create training set for a uid, use faces.train.

For more information on Training and Using the face.com index, check out Recognition How-To.

Try it now on the API Sandbox

url:

http://api.face.com/faces/status.format

parameters:

NameDescription
api_keyyour face.com API Key
api_secretyour face.com API Secret
uidsa comma separated list of user IDs to search for in the photos passed in the request
Optionalnamespacea default user namespace to be used for all users specified in the short-hand syntax (just the user ID, without the '@namespace')
format‘json’ (default) or ‘xml’
callbackjavascript method to wrap a json-formatted response (for JSONP support, ignored if format=xml)
callback_urlasynchronously invoke the method, and POST the response to the specified url. Suitable for calling lengthy operations.
user_authsigned-in facebook or twitter user credentials. Required only when specifying UIDsin these namespaces. Use name:value pairs, separated by comma:

  • fb_user:[facebook user id]
  • [Deprecated] fb_session:[facebook session id]
  • fb_oauth_token [facebook oauth 2.0 access token]
    and/or:
  • twitter_username:[twitter screen name]
  • twitter_password:[twitter password]
    or:
  • twitter_oauth_user:[twitter OAuth user]
  • twitter_oauth_secret:[twitter OAuth secret]
  • twitter_oauth_token:[twitter OAuth token]

example:

http://api.face.com/faces/status.json?api_key=4b4b4c6d54c37&api_secret=&uids=friends@facebook.com

Response

A user_statuses array.

Each User_Status is returned for each trained user and includes:

NameDescription
uidThe user id that was trained
training_set_sizeThe number of photos used to train this model
last_trainedUnixtimestamp of the last time this uid was trained
training_in_progressBoolean that indicates if another train is running to that uid at the moment

response sample (json, truncated):

View complete list of response fields

{
    user_statuses: [
        {
            uid: "899195206@facebook.com",
            training_set_size: 0,
            last_trained: 0,
            training_in_progress: false
        },
        {
            uid: "711413@facebook.com",
            training_set_size: 0,
            last_trained: 0,
            training_in_progress: false
        },
        {
            uid: "565267163@facebook.com",
            training_set_size: 0,
            last_trained: 0,
            training_in_progress: false
        },
        {
            uid: "905570720@facebook.com",
            training_set_size: 18,
            last_trained: 1267098123,
            training_in_progress: false
        },
        {
            uid: "1066302268@facebook.com",
            training_set_size: 17,
            last_trained: 1267639090,
            training_in_progress: false
        },
        {
            uid: "1066813337@facebook.com",
            training_set_size: 2,
            last_trained: 1267639089,
            training_in_progress: false
        },
        {
            uid: "575363003@facebook.com",
            training_set_size: 4,
            last_trained: 1267865211,
            training_in_progress: false
        }
    ]
}